### Virtual Method

# FwupdPlugin Backend coldplug

#### Declaration [src]

    gboolean
    coldplug (
      FuBackend* self,
      FuProgress* progress,
      GError** error
    )

#### Description [src]

Adds devices using the subclassed backend. If `fu_backend_setup()` has not already been called then it is run before this function automatically.

Available since: | 1.6.1

#### Parameters

`progress` | `FuProgress`
| A `FuProgress`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.